# Задача 6. Чат
# Реализуйте программу — чат, в котором могут участвовать сразу несколько человек, то есть программа может работать
# одновременно для нескольких пользователей. При запуске запрашивается имя пользователя. После этого он выбирает одно из действий:
# Посмотреть текущий текст чата.
# Отправить сообщение (затем вводит сообщение).
#
# Действия запрашиваются бесконечно.
# Примечание: для решения задачи вам будет достаточно текущих знаний, нужно лишь проявить немного фантазии и хитрости.
# Не нужно лезть в дебри работы с сетями, создания GUI-приложений и прочих штук. (Но если очень хочется, то
# останавливать вас никто не будет!)
import datetime

now = datetime.datetime.now()
user_name = input('Ваше имя: ')
while True:
    action = input('\nВиберите действие  1-посмотреть текущий чат, 2- отправить сообщение:  ')
    if action == '1':
        try:
            with open('chat.txt', encoding='utf-8') as file_chat:
                print(file_chat.read())
        except FileNotFoundError:
            print('В чате пока никого нет')
    elif action == '2':
        with open('chat.txt', 'a', encoding='utf-8') as file_chat:
            user_massage = input('Текст сообщения: ')
            file_chat.write(f'{user_name} {now.strftime("%H:%M")}: {user_massage}\n')
    else:
        print('Ошибка: непонятное действие, попробуйте ещё раз')
